# Method: projects.locations.glossaries.glossaryEntries.list

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#body.ListGlossaryEntriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/list#try-it)

List the entries for the glossary.

### HTTP request

`GET https://translate.googleapis.com/v3/{parent=projects/*/locations/*/glossaries/*}/glossaryEntries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent glossary resource name for listing the glossary's entries. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. The server may return fewer glossary entries than requested. If unspecified, the server picks an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Typically, this is the value of \[ListGlossaryEntriesResponse.next_page_token\] returned from the previous call. The first page is returned if `pageToken`is empty or missing. |

### Request body

The request body must be empty.

### Response body

Response message for glossaryEntries.list

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "glossaryEntries": [ { object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries#GlossaryEntry`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `glossaryEntries[]` | ``object (`https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries#GlossaryEntry`)`` Optional. The Glossary Entries |
| `nextPageToken` | `string` Optional. A token to retrieve a page of results. Pass this value in the \[ListGLossaryEntriesRequest.page_token\] field in the subsequent calls. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-translation`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).